Package org.apache.solr.common

# Class AlreadyClosedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalStateException
org.apache.solr.common.AlreadyClosedException

All Implemented Interfaces:
  `Serializable`

public class AlreadyClosedException extends IllegalStateException

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AlreadyClosedException()`
`AlreadyClosedException(String msg)`
`AlreadyClosedException(String msg, Throwable th)`
`AlreadyClosedException(Throwable th)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AlreadyClosedException

public AlreadyClosedException()

### AlreadyClosedException

public AlreadyClosedException(String msg)

### AlreadyClosedException

public AlreadyClosedException(Throwable th)

### AlreadyClosedException

public AlreadyClosedException(String msg, Throwable th)